<?
if( isset($s[1]) && $s[1] == '3/fontan_vos' ) {
	/*
		Фонтан
		* Можно получить 1 из 5 eff
	*/
	//Все переменные сохранять в массиве $vad !
	$vad = array(
		'go' => true
	);
	$vad['test1'] = mysql_fetch_array(mysql_query('SELECT COUNT(*) FROM `dungeon_actions` WHERE `dn` = "'.$u->info['dnow'].'" AND `vars` = "obj_act'.$obj['id'].'" LIMIT 1'));
	if( $vad['test1'][0] > 0 ) {
		$r = 'Ничего не произошло...';
		$vad['go'] = false;
	}
	
	if( $vad['go'] == true ) {
		mysql_query('INSERT INTO `dungeon_actions` (`dn`,`time`,`x`,`y`,`uid`,`vars`,`vals`) VALUES (
			"'.$u->info['dnow'].'","'.time().'","'.$obj['x'].'","'.$obj['y'].'","'.$u->info['id'].'","obj_act'.$obj['id'].'","'.$vad['bad'].'"
		)');
		$rn = array(
    1 => 'INSERT INTO `eff_users` (`id_eff`,`uid`,`name`,`data`,`overType`,`timeUse`) VALUES ("433","'.$u->info['id'].'","Грязная кровь x2","add_speedhp=-160|nofastfinisheff=1","64","'.time().'") ' ,
    2 => 'INSERT INTO `eff_users` (`id_eff`,`uid`,`name`,`data`,`overType`,`timeUse`) VALUES ("434","'.$u->info['id'].'","Грязная кровь x3","add_speedhp=-240|nofastfinisheff=1","64","'.time().'") ' ,
    3 => 'INSERT INTO `eff_users` (`id_eff`,`uid`,`name`,`data`,`overType`,`timeUse`) VALUES ("435","'.$u->info['id'].'","Грязная кровь x4","add_speedhp=-320|nofastfinisheff=1","64","'.time().'") ' ,
    4 => 'INSERT INTO `eff_users` (`id_eff`,`uid`,`name`,`data`,`overType`,`timeUse`) VALUES ("436","'.$u->info['id'].'","Грязная кровь x5","add_speedhp=-400|nofastfinisheff=1","64","'.time().'") ',
    5 => 'INSERT INTO `eff_users` (`id_eff`,`uid`,`name`,`data`,`overType`,`timeUse`) VALUES ("437","'.$u->info['id'].'","Восстановление ХП","add_speedhp=80|nofastfinisheff=1","70","'.time().'") ');
        $rn = $rn[rand(1,5)];
        MySQL_query($rn);
		$r = 'На вас наложено заклятие!';
	}
	
	unset($vad);
}

?>